## org.eclipse.jst.server.core
Class ServerProfilerDelegate

    java.lang.Object
      org.eclipse.jst.server.core.ServerProfilerDelegate

    public abstract class ServerProfilerDelegate

extends java.lang.Object

A server profiler delegate.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`ServerProfilerDelegate()` Create a new server profiler delegate.

Method Summary
`static void` `configureProfiling(ILaunch launch, IVMInstall vmInstall, VMRunnerConfiguration vmConfig, IProgressMonitor monitor)` Processes the Java launch configuration about to be run to support profiling.
`abstract void` `process(ILaunch launch, IVMInstall vmInstall, VMRunnerConfiguration vmConfig, IProgressMonitor monitor)` Processes the Java launch configuration about to be run to support profiling.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerProfilerDelegate

    public ServerProfilerDelegate()

  Create a new server profiler delegate. This class must have a public default constructor.

Method Detail

### process

    public abstract void process(ILaunch launch,
                                 IVMInstall vmInstall,
                                 VMRunnerConfiguration vmConfig,
                                 IProgressMonitor monitor)
                          throws CoreException

  Processes the Java launch configuration about to be run to support profiling. VM args or environment variables can be set to allow profiling.

  Parameters:
    `launch` - the launch
    `vmInstall` - the vm install being run against
    `vmConfig` - the configuration to process
    `monitor` - a progress monitor
  Throws:
    `CoreException` - if there is a problem during configuration

### configureProfiling

    public static void configureProfiling(ILaunch launch,
                                          IVMInstall vmInstall,
                                          VMRunnerConfiguration vmConfig,
                                          IProgressMonitor monitor)
                                   throws CoreException

  Processes the Java launch configuration about to be run to support profiling. VM args or environment variables can be set to allow profiling.

  Parameters:
    `launch` - the launch
    `vmInstall` - the vm install being run against
    `vmConfig` - the configuration to process
    `monitor` - a progress monitor
  Throws:
    `CoreException` - if there are no profilers configured or there is a problem configuring the launch